GET https://api.d-tools.com/SI/Subscribe/ProductCatalogs?includeImported={includeImported}&searchText={searchText}&pageNumber={pageNumber}&pageSize={pageSize}
Get product catalogs published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| includeImported |
Boolean. Include already imported product catalogs. Optional with default value false which means by default you will only see product catalogs which are not imported. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
CatalogsResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Catalogs |
Catalogs array |
Collection of CatalogInfo |
None. |
| TotalCount |
Total count of catalogs |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"Catalogs": [
{
"Id": "sample string 1",
"Name": "sample string 2",
"Description": "sample string 3",
"ImportedOn": "2026-06-18T01:28:39.7269226+00:00",
"PublishedOn": "2026-06-18T01:28:39.7269226+00:00"
},
{
"Id": "sample string 1",
"Name": "sample string 2",
"Description": "sample string 3",
"ImportedOn": "2026-06-18T01:28:39.7269226+00:00",
"PublishedOn": "2026-06-18T01:28:39.7269226+00:00"
}
],
"TotalCount": 1
}